%global pypi_name setuptools_scm

Summary:        Blessed package to manage your versions by SCM tags
Name:           python-%{pypi_name}
Version:        8.0.4
Release:        1%{?dist}
License:        MIT
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        %{pypi_source setuptools-scm}

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel pyproject-rpm-macros
BuildRequires:  git-core mercurial python3-pytest python3.11dist(build)

%description
%{pypi_name} extract Python package versions from git or hg metadata
instead of declaring them as the version argument or in a SCM managed file.


%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}

%description -n python%{python3_pkgversion}-%{pypi_name}
%{pypi_name} extract Python package versions from git or hg metadata
instead of declaring them as the version argument or in a SCM managed file.


%package -n python%{python3_pkgversion}-%{pypi_name}+toml
Summary:        %{summary}

%description -n python%{python3_pkgversion}-%{pypi_name}+toml
%{pypi_name} extract Python package versions from git or hg metadata
instead of declaring them as the version argument or in a SCM managed file.

%prep
%autosetup -p1 -n setuptools-scm-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%check
%pytest -v -k 'not test_pip_download and not test_pyproject_missing_setup_hook_works'


%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

%files -n python%{python3_pkgversion}-%{pypi_name}+toml
%dir %{python3_sitelib}/%{pypi_name}-%{version}.dist-info/


%changelog
* Wed Jan 31 2024 Upgrade Robot <upbot@opencloudos.org> - 8.0.4-1
- Upgrade to version 8.0.4 for python-setuptools 68.

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.1.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.1.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.1.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 24 2023 cunshunxia <cunshunxia@tencent.com> - 7.1.0-1
- upgrade to 7.1.0

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.4.2-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 5 2022 cunshunxia <cunshunxia@tencent.com> - 6.4.2-2
- provide dist in toml

* Thu Dec 1 2022 cunshunxia <cunshunxia@tencent.com> - 6.4.2-1
- initial build
